uk.ac.starlink.parquet

## Class ParquetTableWriter.KVMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<java.lang.String,java.lang.String>
      - - uk.ac.starlink.parquet.ParquetTableWriter.KVMap

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.String>
  Enclosing class:
    ParquetTableWriter

      public static class ParquetTableWriter.KVMap
      extends java.util.LinkedHashMap<java.lang.String,java.lang.String>

  Map of key-value pairs. Instance behaviour is inherited from LinkedHashMap. The reason to have this as a separate class is that it has its own `valueOf(java.lang.String)` method, which can be used reflectively to configure the output handler using a config parameter, via `BeanConfig`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KVMap()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ParquetTableWriter.KVMap` | `valueOf(java.lang.String txt)` Deserializes a string to a KVMap instance.

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

- - ### Constructor Detail

    - #### KVMap

          public KVMap()

  - ### Method Detail

    - #### valueOf

          public static ParquetTableWriter.KVMap valueOf(java.lang.String txt)

      Deserializes a string to a KVMap instance. Syntax is "key1:value1;key2:value2,...".
      Parameters:
        `txt` - textual representation of map
      Returns:
        map instance